import * as React from 'react';
import { Coloring, RenditionSystemProps, Theme } from '../common-types';
import { BoxProps } from './Grid';
export interface InternalBadgeProps extends BoxProps, Coloring {
    text: string;
    small?: boolean;
    color?: string;
    bg?: string;
}
export interface ThemedBadgeProps extends InternalBadgeProps {
    theme: Theme;
}
export declare type BadgeProps = InternalBadgeProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<BadgeProps>;
export default _default;
