import * as React from 'react';
import { DefaultProps, RenditionSystemProps, Tooltip } from '../common-types';
import { TxtProps } from './Txt';
export interface InternalCodeWithCopyProps extends DefaultProps, Tooltip, TxtProps {
    color?: string;
    copy?: string;
    text: string;
    showCopyButton?: 'hover' | 'always';
}
export declare type CodeWithCopyProps = InternalCodeWithCopyProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<CodeWithCopyProps>;
export default _default;
