import * as React from 'react';
import { BoxProps } from './Grid';
declare class Tabs extends React.Component<TabsProps, TabsState> {
    constructor(props: TabsProps);
    showTab: (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    render(): JSX.Element;
}
export interface TabsState {
    show: number;
}
export interface TabsProps extends BoxProps {
    tabs: string[];
    help?: JSX.Element;
    children: JSX.Element[];
}
export default Tabs;
